#!/bin/bash
#
# This workflow step is in charge of performing basic checks as well as compressing the workflow project in order to be sent through the network

set -xuve

ROOTDIR=%ROOTDIR%
PROJDEST=%PROJECT.PROJECT_DESTINATION%

function tar_project() {
  echo "Compressing project"
  PROJ=$1
  tar -czvf "${PROJ}".tar.gz "${PROJ}"

}

cd ${ROOTDIR}/proj
tar_project ${PROJDEST}

# Remove the sent tarball flag
rm -f flag_tarball_sent
